/*
 *  Copyright (c) 2020 digitalSTROM.org, Zurich, Switzerland
 *
 *  This file is part of vdc-utils
 */
#pragma once

#include <string>
#include "p44vdc/vdc_common/apivalue.hpp"
#include "exception.hpp"


namespace vdcutils::apivalue {

  class ApiValueHelperException : public Exception
  {
  public:
    using vdcutils::Exception::Exception;
  };

  p44::ApiValuePtr get(p44::ApiValuePtr aApiValue, const std::string& aName);

}// namespace vdcutils::apivalue


