/*
 *  Copyright (c) 2020 digitalSTROM.org, Zurich, Switzerland
 *
 *  This file is part of vdc-utils
 */


#include "vdc-utils/persistentstorage/container.hpp"


using namespace vdcutils::persistentstorage;


std::string ParamStore::dbSchemaUpgradeSQL(int aFromVersion, int &aToVersion)
{
  std::string sql;
  if (aFromVersion==0) {
    // create DB from scratch
    // - use standard globs table for schema version
    sql = p44::ParamStore::dbSchemaUpgradeSQL(aFromVersion, aToVersion);
    aToVersion = CONTAINER_SCHEMA_VERSION;
  }
  return sql;
}
