/*
 *  Copyright (c) 2018 digitalSTROM.org, Zurich, Switzerland
 *
 *  This file is part of vdc-utils
 */

#pragma once

#include "gmock/gmock.h"
#include "vdc-utils/persistentstorage/ipersistentstoragewithrowid.hpp"

namespace vdcunittest {

class PersistentStorageWithRowIdMock : public vdcutils::IPersistentStorageWithRowId
{
public:
  MOCK_METHOD0(load, void());
  MOCK_METHOD0(save, void());
};

} // namespace vdcunittest


