/*
 *  Copyright (c) 2020 digitalSTROM.org, Zurich, Switzerland
 *
 *  This file is part of vdc-utils
 */

#include "apivalueutils.hpp"

using namespace vdcutils;


p44::ApiValuePtr apivalue::get(p44::ApiValuePtr aApiValue, const std::string& aName)
{
  if (!aApiValue) {
    throw ApiValueHelperException("ApiValue element " + aName + " not found. Empty object");
  }
  auto elem = aApiValue->get(aName);
  if (!elem) {
    throw ApiValueHelperException("ApiValue element " + aName + " not found.");
  }
  return elem;
}
