/*
 *  Copyright (c) 2019 digitalSTROM.org, Zurich, Switzerland
 *
 *  This file is part of vdc-panasonic
 */


#pragma once

#include <string>
#include <exception>


namespace vdcutils {


class Exception : public std::exception
{
  std::string mWhat;

  public:
  explicit Exception(const std::string& aWhat={}):
    mWhat(aWhat){}

  virtual const char *what() const throw() { return mWhat.c_str(); }
};



} // namespace vdcutils
