/*
 *  Copyright (c) 2018 digitalSTROM.org, Zurich, Switzerland
 *
 *  This file is part of vdc-utils
 */

#pragma once

#include "gmock/gmock.h"
#include "singledevice.hpp"

namespace vdcunittest {

class SingleDeviceMock : public p44::SingleDevice
{
public:
  SingleDeviceMock(p44::Vdc* aVdc) : SingleDevice(aVdc, true) {}

  MOCK_METHOD1(identifyDevice, bool(p44::IdentifyDeviceCB aIdentifyCB));
};

} // namespace vdcunittest


