/*
 *  Copyright (c) 2018 digitalSTROM.org, Zurich, Switzerland
 *
 *  This file is part of vdc-utils
 */

#pragma once

#include "gmock/gmock.h"
#include "typeddevicestate.hpp"


namespace vdcunittest {

template <typename T>
class TypedDeviceStateMock : public TypedDeviceState<T>
{
public:
  using TypedDeviceState<T>::TypedDeviceState;
  MOCK_METHOD1_T(setAndPushValue, bool (T));
};

template <typename T>
using TypedDeviceStateMockPtr = boost::intrusive_ptr<TypedDeviceStateMock<T>>;

} // namespace vdcunittest