/*
 *  Copyright (c) 2019 digitalSTROM.org, Zurich, Switzerland
 *
 *  This file is part of vdc-utils
 */

#include "vdc-utils/websocket/error.hpp"

using namespace vdcutils::websocket;


/* ===== Error ===== */


Error::Error(Error::ErrorCode aErrorCode) :
  p44::Error(vdcutils::toUnderlyingType(aErrorCode))
{

}

Error::Error(const boost::system::error_code& aError) :
  p44::Error(vdcutils::toUnderlyingType(ErrorCode::BoostSystemError), aError.message())
{

}
